package com.steering.pss.qcm.model;

/**
 * 数据库表COM_BASE_WELL_MONTH所对应的实体类（生成工具：代码生成器2.1）
 * @author Administrator 2015-03-27
 */
public class ComBaseWellMonthEntity {
    /**
     * 产能井代码
     */
    private String wellCode;
    /**
     * 产能井描述
     */
    private String wellName;
    /**
     * 年份(4位)
     */
    private String year;
    /**
     * 1月产能值
     */
    private String month1;
    /**
     * 2月产能值
     */
    private String month2;
    /**
     * 3月产能值
     */
    private String month3;
    /**
     * 4月产能值
     */
    private String month4;
    /**
     * 5月产能值
     */
    private String month5;
    /**
     * 6月产能值
     */
    private String month6;
    /**
     * 7月产能值
     */
    private String month7;
    /**
     * 8月产能值
     */
    private String month8;
    /**
     * 9月产能值
     */
    private String month9;
    /**
     * 10月产能值
     */
    private String month10;
    /**
     * 11月产能值
     */
    private String month11;
    /**
     * 12月产能值
     */
    private String month12;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    /**
     * 删除时间
     */
    private String deleteTime;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 备注
     */
    private String memo;
    
    private String yearOld;

    public ComBaseWellMonthEntity(){
        wellCode = "";
        wellName = "";
        year = "";
        month1 = "";
        month2 = "";
        month3 = "";
        month4 = "";
        month5 = "";
        month6 = "";
        month7 = "";
        month8 = "";
        month9 = "";
        month10 = "";
        month11 = "";
        month12 = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        deleteName = "";
        deleteTime = "";
        validflag = "";
        memo = "";
        yearOld="";
    }

    /**
     * 产能井代码
     * @return value
     */
    public String getWellCode() {
        return wellCode;
    }

    /**
     * 产能井代码
     * @param wellCode value
     */
    public void setWellCode(String wellCode) {
        this.wellCode = wellCode;
    }

    /**
     * 产能井描述
     * @return value
     */
    public String getWellName() {
        return wellName;
    }

    /**
     * 产能井描述
     * @param wellName value
     */
    public void setWellName(String wellName) {
        this.wellName = wellName;
    }

    /**
     * 年份(4位)
     * @return value
     */
    public String getYear() {
        return year;
    }

    /**
     * 年份(4位)
     * @param year value
     */
    public void setYear(String year) {
        this.year = year;
    }

    /**
     * 1月产能值
     * @return value
     */
    public String getMonth1() {
        return month1;
    }

    /**
     * 1月产能值
     * @param month1 value
     */
    public void setMonth1(String month1) {
        this.month1 = month1;
    }

    /**
     * 2月产能值
     * @return value
     */
    public String getMonth2() {
        return month2;
    }

    /**
     * 2月产能值
     * @param month2 value
     */
    public void setMonth2(String month2) {
        this.month2 = month2;
    }

    /**
     * 3月产能值
     * @return value
     */
    public String getMonth3() {
        return month3;
    }

    /**
     * 3月产能值
     * @param month3 value
     */
    public void setMonth3(String month3) {
        this.month3 = month3;
    }

    /**
     * 4月产能值
     * @return value
     */
    public String getMonth4() {
        return month4;
    }

    /**
     * 4月产能值
     * @param month4 value
     */
    public void setMonth4(String month4) {
        this.month4 = month4;
    }

    /**
     * 5月产能值
     * @return value
     */
    public String getMonth5() {
        return month5;
    }

    /**
     * 5月产能值
     * @param month5 value
     */
    public void setMonth5(String month5) {
        this.month5 = month5;
    }

    /**
     * 6月产能值
     * @return value
     */
    public String getMonth6() {
        return month6;
    }

    /**
     * 6月产能值
     * @param month6 value
     */
    public void setMonth6(String month6) {
        this.month6 = month6;
    }

    /**
     * 7月产能值
     * @return value
     */
    public String getMonth7() {
        return month7;
    }

    /**
     * 7月产能值
     * @param month7 value
     */
    public void setMonth7(String month7) {
        this.month7 = month7;
    }

    /**
     * 8月产能值
     * @return value
     */
    public String getMonth8() {
        return month8;
    }

    /**
     * 8月产能值
     * @param month8 value
     */
    public void setMonth8(String month8) {
        this.month8 = month8;
    }

    /**
     * 9月产能值
     * @return value
     */
    public String getMonth9() {
        return month9;
    }

    /**
     * 9月产能值
     * @param month9 value
     */
    public void setMonth9(String month9) {
        this.month9 = month9;
    }

    /**
     * 10月产能值
     * @return value
     */
    public String getMonth10() {
        return month10;
    }

    /**
     * 10月产能值
     * @param month10 value
     */
    public void setMonth10(String month10) {
        this.month10 = month10;
    }

    /**
     * 11月产能值
     * @return value
     */
    public String getMonth11() {
        return month11;
    }

    /**
     * 11月产能值
     * @param month11 value
     */
    public void setMonth11(String month11) {
        this.month11 = month11;
    }

    /**
     * 12月产能值
     * @return value
     */
    public String getMonth12() {
        return month12;
    }

    /**
     * 12月产能值
     * @param month12 value
     */
    public void setMonth12(String month12) {
        this.month12 = month12;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getYearOld() {
        return yearOld;
    }

    public void setYearOld(String yearOld) {
        this.yearOld = yearOld;
    }
}